#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long t;
    cin >> t;

    long long n[t];

    for (int i = 0; i < t; i++)
    {
        cin >> n[i];

        long long a[n[i]];
        long long b[n[i]];

        for (int j = 0; j < n[i]; j++)
        {
            cin >> a[j] >> b[j];
        }
    }

    for (int i = 0; i < t; i++)
    {
        cout << "DA" << endl;
    }

    return 0;
}